scala.tools.nsc.backend.opt.DeadCodeElimination

# DeadCodeEliminationPhase

#### class DeadCodeEliminationPhase extends Global.icodes.ICodePhase

Dead code elimination phase.

Source
  DeadCodeElimination.scala

Linear Supertypes
Global.icodes.ICodePhase, GlobalPhase, reflect.internal.Phase, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DeadCodeEliminationPhase
2. ICodePhase
3. GlobalPhase
4. Phase
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DeadCodeEliminationPhase(prev: Phase)

### Type Members

1. #### type Id = Int

   Definition Classes
     Phase

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DeadCodeEliminationPhase to any2stringadd[DeadCodeEliminationPhase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DeadCodeEliminationPhase, B)

   Implicit information
     This member is added by an implicit conversion from DeadCodeEliminationPhase to ArrowAssoc[DeadCodeEliminationPhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(c: Global.icodes.IClass): Unit

   Definition Classes
     DeadCodeEliminationPhase → ICodePhase

7. #### def apply(unit: Global.CompilationUnit): Unit

   Definition Classes
     ICodePhase → GlobalPhase

8. #### final def applyPhase(unit: Global.CompilationUnit): Unit

   Definition Classes
     GlobalPhase

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def cancelled(unit: Global.CompilationUnit): Boolean

    Is current phase cancelled on this unit?

    Is current phase cancelled on this unit?

    Definition Classes
      GlobalPhase

11. #### def checkable: Boolean

    Definition Classes
      Phase

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### val dce: DeadCode

14. #### def description: String

    Definition Classes
      Phase

15. #### def ensuring(cond: (DeadCodeEliminationPhase) ⇒ Boolean, msg: ⇒ Any): DeadCodeEliminationPhase

    Implicit information
      This member is added by an implicit conversion from DeadCodeEliminationPhase to Ensuring[DeadCodeEliminationPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (DeadCodeEliminationPhase) ⇒ Boolean): DeadCodeEliminationPhase

    Implicit information
      This member is added by an implicit conversion from DeadCodeEliminationPhase to Ensuring[DeadCodeEliminationPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): DeadCodeEliminationPhase

    Implicit information
      This member is added by an implicit conversion from DeadCodeEliminationPhase to Ensuring[DeadCodeEliminationPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): DeadCodeEliminationPhase

    Implicit information
      This member is added by an implicit conversion from DeadCodeEliminationPhase to Ensuring[DeadCodeEliminationPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(other: Any): Boolean

    Definition Classes
      Phase → AnyRef → Any

21. #### def erasedTypes: Boolean

    Definition Classes
      ICodePhase → GlobalPhase → Phase

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def flagMask: Long

    Definition Classes
      Phase

24. #### def flatClasses: Boolean

    Definition Classes
      GlobalPhase → Phase

25. #### val fmask: Long

    Definition Classes
      Phase

26. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from DeadCodeEliminationPhase to StringFormat[DeadCodeEliminationPhase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hasNext: Boolean

    Definition Classes
      Phase

29. #### def hashCode(): Int

    Definition Classes
      Phase → AnyRef → Any

30. #### val id: Id

    Definition Classes
      Phase

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### def iterator: collection.Iterator[reflect.internal.Phase]

    Definition Classes
      Phase

33. #### def keepsTypeParams: Boolean

    Definition Classes
      Phase

34. #### def name: String

    Definition Classes
      DeadCodeEliminationPhase → Phase

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### def newFlags: Long

    Definition Classes
      Phase

37. #### def next: reflect.internal.Phase

    Definition Classes
      Phase

38. #### def nextFlags: Long

    Definition Classes
      Phase

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### val prev: reflect.internal.Phase

    Definition Classes
      Phase

42. #### def refChecked: Boolean

    Definition Classes
      GlobalPhase → Phase

43. #### def run(): Unit

    Definition Classes
      GlobalPhase → Phase

44. #### def specialized: Boolean

    Definition Classes
      GlobalPhase → Phase

45. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

46. #### def toString(): String

    Definition Classes
      Phase → AnyRef → Any

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def withCurrentUnit(unit: Global.CompilationUnit)(task: ⇒ Unit): Unit

    Definition Classes
      GlobalPhase

51. #### def →[B](y: B): (DeadCodeEliminationPhase, B)

    Implicit information
      This member is added by an implicit conversion from DeadCodeEliminationPhase to ArrowAssoc[DeadCodeEliminationPhase] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.icodes.ICodePhase

### Inherited from GlobalPhase

### Inherited from reflect.internal.Phase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DeadCodeEliminationPhase to any2stringadd[DeadCodeEliminationPhase]

### Inherited by implicit conversion StringFormat from DeadCodeEliminationPhase to StringFormat[DeadCodeEliminationPhase]

### Inherited by implicit conversion Ensuring from DeadCodeEliminationPhase to Ensuring[DeadCodeEliminationPhase]

### Inherited by implicit conversion ArrowAssoc from DeadCodeEliminationPhase to ArrowAssoc[DeadCodeEliminationPhase]

### Ungrouped